import { CodegenConfig } from '@graphql-codegen/cli';

const config: CodegenConfig = {
	schema: `${process.env.GRAPH_URL}/query`,
	documents: ['./web/lib/gql/*.ts'],
	generates: {
		'./web/lib/gql/graph.d.ts': {
			plugins: ['typescript', 'typescript-operations']
		}
	}
};

export default config;
